This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 845628 - (mate-mime-data) Review Request: mate-mime-data - mate-mime-data provides the file type recognition data files for mate-vfs
Review Request: mate-mime-data - mate-mime-data provides the file type recogn...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mario Blättermann
Fedora Extras Quality Assurance
:
Depends On:
Blocks: MATE-DE-tracker
  Show dependency treegraph
 
Reported: 2012-08-03 11:46 EDT by Wolfgang Ulbrich
Modified: 2012-10-23 15:33 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-21 08:20:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mario.blaettermann: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
switch mime-data from openoffice to libreoffice, etc for fedora (2.46 KB, patch)
2012-08-03 11:50 EDT, Wolfgang Ulbrich
no flags Details | Diff
switch mime-data from openoffice to libreoffice, etc for fedora (634 bytes, patch)
2012-08-03 11:51 EDT, Wolfgang Ulbrich
no flags Details | Diff
switch mime-data from openoffice to libreoffice, etc for fedora (55.07 KB, patch)
2012-08-03 11:52 EDT, Wolfgang Ulbrich
no flags Details | Diff

  None (edit)
Description Wolfgang Ulbrich 2012-08-03 11:46:59 EDT
Spec URL: http://raveit65.fedorapeople.org/Mate-Desktop/fc18/SPECS/mate-mime-data.spec
SRPM URL: http://raveit65.fedorapeople.org/Mate-Desktop/fc18/SRPM/mate-mime-data-1.4.0-6.fc18.src.rpm
Description: mate-mime-data provides the file type recognition data files for mate-vfs
Fedora Account System Username: raveit65
Comment 1 Wolfgang Ulbrich 2012-08-03 11:50:22 EDT
Created attachment 602164 [details]
switch mime-data from openoffice to libreoffice, etc for fedora
Comment 2 Wolfgang Ulbrich 2012-08-03 11:51:29 EDT
Created attachment 602165 [details]
switch mime-data from openoffice to libreoffice, etc for fedora
Comment 3 Wolfgang Ulbrich 2012-08-03 11:52:27 EDT
Created attachment 602166 [details]
switch mime-data from openoffice to libreoffice, etc for fedora
Comment 4 Mario Blättermann 2012-08-03 14:14:15 EDT
It is not needed to submit your patches to your review request, because they are already included in your srpm.

Some initial comments:

Please drop %defattr from the file list. It is not needed unless you want to provide your package for EPEL <6 (which I don't assume).

%config has to be %config(noreplace). When you add this suffix, this config file won't be replaced when the package will be updated, if someone has changed it in the meantime.

Drop NEWS from the docs, because it is empty.

The *.pc file has to be in a -devel subpackage.
Comment 5 Mario Blättermann 2012-08-03 14:22:38 EDT
The file COPYING contains the GPLv2, and at least config-mime.pl allows in its header the distribution under newer GPL versions, that's why the license has to be GPLv2+.
Comment 6 Wolfgang Ulbrich 2012-08-04 14:50:10 EDT
Thank you Mario for doing the review and for your hints.

New spec file.
SPEC: http://raveit65.fedorapeople.org/Mate-Desktop/fc18/SPECS/mate-mime-data.spec


* Sat Aug 04 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.4.0-7
- remove %%defattr
- correct licence information
- drop NEWS because it is empty
- create -devel subpackage

I don't know if the description of -devel was really thoughtfully.
Maybe you know some better?

Give me hint if you need a new scratch build.
Comment 7 Mario Blättermann 2012-08-04 15:27:29 EDT
"This package provides header files needed
for developing mine-data in Mate."

Besides from you have a typo in the description (miNe-data), you should use the commonly used description for -devel packages:

"This package contains development libraries and headers for the %{name} package."

Doesn't matter that your package only contains a packageconfig file, and no headers or anything. It's not the purpose to describe the content in particular.


%patch0 -p1 -b .librenoffice

Somewhat odd that the patch is named "librenoffice". Just a cosmetic issue, but worth to fix it.


Requires:   %{name} = %{version}-%{release}
Please change this to
%{name}%{?_isa} = %{version}-%{release}
to tell Yum to use the correct package for the appropriate architecture.

Both the base and the devel package include the same docs. This is not allowed. Because the devel requires the base package, the doc files are present anyway. Remove the entries from the file list. No problem that rpmlint is unhappy with missing docs in this case.
Comment 8 Wolfgang Ulbrich 2012-08-04 18:34:58 EDT
all done.
http://raveit65.fedorapeople.org/Mate-Desktop/fc18/SPECS/mate-mime-data.spec

%changelog
* Sat Aug 04 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.4.0-8
- fix patch name under %%prep
- fix -devel description
- fix requires in -devel package
- remove AUTHORS COPYING ChangeLog README from -devel

* Sat Aug 04 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.4.0-7
- remove %%defattr
- correct licence information
- drop NEWS because it is empty
- create -devel subpackage
 
* Thu Aug 02 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.4.0-6
- initial build for fedora
Comment 9 Mario Blättermann 2012-08-05 12:31:21 EDT
Scratch build based on your latest spec:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4360652

$ rpmlint -i -v *
mate-mime-data.noarch: I: checking
mate-mime-data.noarch: W: spelling-error %description -l en_US vfs -> vs, ifs, VF
The value of this tag appears to be misspelled. Please double-check.

mate-mime-data.noarch: I: checking-url http://mate-desktop.org (timeout 10 seconds)
mate-mime-data.src: I: checking
mate-mime-data.src: W: spelling-error %description -l en_US vfs -> vs, ifs, VF
The value of this tag appears to be misspelled. Please double-check.

mate-mime-data.src: I: checking-url http://mate-desktop.org (timeout 10 seconds)
mate-mime-data.src: I: checking-url http://pub.mate-desktop.org/releases/1.4/mate-mime-data-1.4.0.tar.xz (timeout 10 seconds)
mate-mime-data-devel.noarch: I: checking
mate-mime-data-devel.noarch: I: checking-url http://mate-desktop.org (timeout 10 seconds)
mate-mime-data-devel.noarch: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

3 packages and 0 specfiles checked; 0 errors, 3 warnings.


Ignoreable issues from rpmlint.



---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license.
    GPLv2+
[+] MUST: The License field in the package spec file must match the actual
license.
[+] MUST: The file containing the text of the license(s) for the package must
be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source.
    $ sha256sum *
    d914aa9ed1335ab1da908026667ec5b58337c9123dce7b3d3b2035e3bd7fbc7f  mate-mime-data-1.4.0.tar.xz
    d914aa9ed1335ab1da908026667ec5b58337c9123dce7b3d3b2035e3bd7fbc7f  mate-mime-data-1.4.0.tar.xz.packaged

[+] MUST: The package MUST successfully compile and build into binary rpms on
at least one primary architecture.
- See Koji build above.
[.] MUST: If the package does not successfully compile, build or work on an
architecture, ...
[+] MUST: All build dependencies must be listed in BuildRequires.
[+] MUST: The spec file MUST handle locales properly.
[.] MUST: If a package installs files below %{_datadir}/icons, the icon cache
must be updated.
[.] MUST: Packages storing shared library files (not just symlinks) must call
ldconfig in %post and %postun.
[.] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, ...
[+] MUST: A package must own all directories that it creates. 
[+] MUST: A Fedora package must not list a file more than once in %files.
[+] MUST: Permissions on files must be set properly.
[+] MUST: Packages must not provide RPM dependency information when that
information is not global in nature, or are otherwise handled.
[.] MUST: When filtering automatically generated RPM dependency information,
the filtering system implemented by Fedora must be used.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage.
[+] MUST: Files in %doc must not affect the runtime of the application.
[.] MUST: Header files must be in a -devel package.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: If a package contains library files with a suffix (e.g.
libfoo.so.1.1), ...
[+] MUST: devel packages must require the base package using a fully versioned
dependency.
[.] MUST: Packages must NOT contain any .la libtool archives.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop
file
[.] MUST: .desktop files must be properly installed with desktop-file-install
in the %install section.
[+] MUST: Packages must not own files or directories already owned by other
packages.
[+] MUST: All filenames in rpm packages must be valid UTF-8.

[.] SHOULD: If the source package does not include license text(s) as a
    separate file from upstream, the packager SHOULD query upstream...

[+] SHOULD: Timestamps of files should be preserved.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses mock anyway)
[.] SHOULD: The reviewer should test that the package functions as described.
[+] SHOULD: If scriptlets are used, those scriptlets must be sane.
[.] SHOULD: Usually, subpackages other than devel should require the base
package using a fully versioned dependency.
[+] SHOULD: pkgconfig(.pc) files should be placed in a -devel pkg.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin,
/usr/bin, or /usr/sbin ...
[.] SHOULD: Your package should contain man pages for binaries/scripts.

--------------------------------------

PACKAGE APPROVED

--------------------------------------
Comment 10 Wolfgang Ulbrich 2012-08-05 13:12:28 EDT
Thank you Mario for approving the package.
Comment 11 Wolfgang Ulbrich 2012-08-05 13:18:17 EDT
New Package SCM Request
=======================
Package Name: mate-mime-data
Short Description: mate-mime-data provides the file type recognition data files for mate-vfs
Owners: raveit65
Branches: f16 f17
InitialCC:
Comment 12 Jon Ciesla 2012-08-05 15:58:21 EDT
Git done (by process-git-requests).
Comment 13 Fedora Update System 2012-08-05 18:02:23 EDT
mate-mime-data-1.4.0-8.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mate-mime-data-1.4.0-8.fc17
Comment 14 Fedora Update System 2012-08-05 18:04:43 EDT
mate-mime-data-1.4.0-8.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mate-mime-data-1.4.0-8.fc16
Comment 15 Fedora Update System 2012-08-06 03:51:45 EDT
mate-mime-data-1.4.0-8.fc16 has been pushed to the Fedora 16 testing repository.
Comment 16 Fedora Update System 2012-08-07 08:54:20 EDT
mate-mime-data-1.4.0-9.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mate-mime-data-1.4.0-9.fc16
Comment 17 Fedora Update System 2012-08-07 08:56:26 EDT
mate-mime-data-1.4.0-9.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mate-mime-data-1.4.0-9.fc17
Comment 18 Wolfgang Ulbrich 2012-08-21 08:20:00 EDT
I don't work for the Mate-Desktop project anymore, because i see no basic for working together with Dan Mashal.

Note You need to log in before you can comment on or make changes to this bug.